> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/endpoints/property-groups/property-groups-query.md).

# Property Groups Query

### **Introduction**

Our property group query will get you the list of owners from the respective company. We provides ability to filter the property group query by externalId and fullSearch over propertyGroup name. Please make sure the paging option is used to fetch more items.

### Property Group Query

To query a property group from Everreal use `propertyGroups` query

```graphql
type Query {
  propertyGroups(input: PropertyGroupFilterListPaging): [PropertyGroup]
}
```

**Schema**

```graphql
type PropertyGroup {
  id: String
  externalId: String
  name: String
  createdAt: DateTime
  updatedAt: DateTime
  descriptions: PropertyGroupDescription
  properties: [PartialProperty]
}

type PartialProperty {
  id: String
  objectId: String
  name: String
  category: String
  subtype: String
  type: String
}

input PropertyGroupDescriptionInput {
  object: String
  amenities: String
  location: String
  other: String
}

input PropertyGroupFilter {
  id: String
  externalId: String
  companyId: String
  fullSearch: String
}

input GraphPaging {
  skip: Int
  take: Int
}

input GraphSorting {
  fieldName: String
  direction: String
}
```

***Example for property group query***

{% tabs %}
{% tab title="GraphQL" %}

```graphql
{
  propertyGroups(
    input: { filter: { externalId: "iPG-32" }, paging: { skip: 0, take: 10 } }
  ) {
    name
    externalId
    properties {
      id
      objectId
      name
      category
      subtype
      type
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.everreal.co/endpoints/property-groups/property-groups-query.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
